Connections
Returns a paginated list of Backup & Archive Connections with customizable page size
Bearer <access_token>
Search term (max 80)
Number of page (min 1)
1Limit of entities per page (min 1, max 2000)
50Returns a paginated list of Backup & Archive Connections
Total number of entities.
1Incorrect request data is provided. For example, page or limit parameters are missing
GET /api/v1/connections?page=1&limit=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"total": 1,
"items": [
{
"id": 1,
"externalId": 1,
"name": "MyOrg",
"userName": "example@email.com",
"salesforceOrgType": "PRODUCTION"
}
]
}Returns the Backup & Archive Connection by Id
Bearer <access_token>
Returns the Backup & Archive Connection by Id
11Connection name
MyOrgFull name of user for authenticating the connection.
John DoeUsername for authenticating the connection.
example@email.comSalesforce organization ID
12ABC34567892DEFGCSalesforce organization type: SANDBOX or PRODUCTION
PRODUCTIONValores posibles: Incorrect request data is provided. For example, connectionId isn't a valid number
Connection not found with the provided Id
GET /api/v1/connections/{connectionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 1,
"externalId": 1,
"name": "MyOrg",
"userFullName": "John Doe",
"userName": "example@email.com",
"salesforceOrgId": "12ABC34567892DEFGC",
"salesforceOrgType": "PRODUCTION"
}Returns the Backup & Archive Connection Id by Salesforce organization Id
Bearer <access_token>
Salesforce organization Id
12ABC34567892DEFGCReturns the Backup & Archive Connection
Incorrect request data is provided. For example, Salesforce Id has invalid length
Connection not found
GET /api/v1/connections/connectionId/{salesforceOrgId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"connectionId": 1
}Última actualización
¿Te fue útil?